Update API Token - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Update API Token

PUT /v1/api-tokens/{apiTokenId}

cURL

curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{
  "version": 123,
  "name": "<string>"
}\n'  

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId}"

payload = {
    "version": 123,
    "name": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({version: 123, name: '<string>'})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PUT",\
  CURLOPT_POSTFIELDS => json_encode([\
    'version' => 123,\
    'name' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId}"

payload := strings.NewReader("{\n  \"version\": 123,\n  \"name\": \"<string>\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.put("https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"version\": 123,\n  \"name\": \"<string>\"\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/api-tokens/{apiTokenId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"version\": 123,\n  \"name\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body

Response

200

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "userId": "<string>",
  "name": "<string>",
  "partialToken": "<string>",
  "expiry": "2023-11-07T05:31:56Z",
  "allowedAddresses": [
    "<string>"
  ],
  "permissions": []
}

Authorizations

Authorization

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

apiTokenId

Body

application/json

Indicates the data integrity version to ensure data consistency.

The token record's name. This will also be used as the API Token User's name.

Response

200 - application/json

id: string

The unique object identifier.

version: integer

Indicates the data integrity version to ensure data consistency.

creationDate: string

The date that the object was originally created.

lastModifiedDate: string

The date that the object was last updated or modified.

createdUserInfo: User Info · object (read-only)

Details about the user who created the object.

lastModifiedUserInfo: User Info · object (read-only)

Details about the user who last modified or updated the object.

userId: string

Identifies the API Token User associated with this token.

name: string

The token record's name. This will also be used as the API Token User's name.

partialToken: string

A partial representation of the API token.

expiry: string

The day on which the API token expires.

allowedAddresses: string[]

Indicates the set of addresses that are allowed to use this token. If empty, any address may use it.

permissions: enum[]

The set of permissions that inform which endpoints this token is authorized to access.